## gate.util
Class Out

    java.lang.Object
      |
      +--gate.util.Out

public class Out
extends Object

Shorthand for the `System.out.print and println` methods.

Field Summary
`private static boolean` `DEBUG` Debug flag
`private static PrintWriter` `out` A printwriter to delegate to
`private static char` `padChar` Char to pad with.

Constructor Summary
`private` `Out()` Don't construct any of these

Method Summary
`static void` `flush()` Flush the output stream.
`static char` `getPadChar()` An accesor method for padChar
`static PrintWriter` `getPrintWriter()` This sets a new printWriter
`static void` `padPr(String s, int padding)` Print padding followed by String s.
`static void` `pr(boolean b)`
`static void` `pr(char c)`
`static void` `pr(char[] s)`
`static void` `pr(double d)`
`static void` `pr(float f)`
`static void` `pr(int i)`
`static void` `pr(long l)`
`static void` `pr(Object obj)`
`static void` `pr(String s)`
`static void` `print(boolean b)`
`static void` `print(char c)`
`static void` `print(char[] s)`
`static void` `print(double d)`
`static void` `print(float f)`
`static void` `print(int i)`
`static void` `print(long l)`
`static void` `print(Object obj)`
`static void` `print(String s)`
`static void` `println()`
`static void` `println(boolean x)`
`static void` `println(char x)`
`static void` `println(char[] x)`
`static void` `println(double x)`
`static void` `println(float x)`
`static void` `println(int x)`
`static void` `println(long x)`
`static void` `println(Object x)`
`static void` `println(String x)`
`static void` `prln()`
`static void` `prln(boolean x)`
`static void` `prln(char x)`
`static void` `prln(char[] x)`
`static void` `prln(double x)`
`static void` `prln(float x)`
`static void` `prln(int x)`
`static void` `prln(long x)`
`static void` `prln(Object x)`
`static void` `prln(String x)`
`static void` `setPadChar(char aChar)` A mutator method for padChar
`static void` `setPrintWriter(PrintWriter aPrintWriter)` This sets a new printWriter

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### out

    private static PrintWriter out

  A printwriter to delegate to

### padChar

    private static char padChar

  Char to pad with.

Constructor Detail

### Out

    private Out()

  Don't construct any of these

Method Detail

### flush

    public static void flush()

  Flush the output stream.

### setPrintWriter

    public static void setPrintWriter(PrintWriter aPrintWriter)

  This sets a new printWriter

### getPrintWriter

    public static PrintWriter getPrintWriter()

  This sets a new printWriter

### print

    public static void print(boolean b)

  See Also:
    `PrintWriter.print(boolean)`

### print

    public static void print(char c)

  See Also:
    `PrintWriter.print(char)`

### print

    public static void print(int i)

  See Also:
    `PrintWriter.print(int)`

### print

    public static void print(long l)

  See Also:
    `PrintWriter.print(long)`

### print

    public static void print(float f)

  See Also:
    `PrintWriter.print(float)`

### print

    public static void print(double d)

  See Also:
    `PrintWriter.print(double)`

### print

    public static void print(char[] s)

  See Also:
    `PrintWriter.print(char[])`

### print

    public static void print(String s)

  See Also:
    `PrintWriter.print(java.lang.String)`

### print

    public static void print(Object obj)

  See Also:
    `PrintWriter.print(java.lang.Object)`

### println

    public static void println()

  See Also:
    `PrintWriter.println()`

### println

    public static void println(boolean x)

  See Also:
    `PrintWriter.println(boolean)`

### println

    public static void println(char x)

  See Also:
    `PrintWriter.println(char)`

### println

    public static void println(int x)

  See Also:
    `PrintWriter.println(int)`

### println

    public static void println(long x)

  See Also:
    `PrintWriter.println(long)`

### println

    public static void println(float x)

  See Also:
    `PrintWriter.println(float)`

### println

    public static void println(double x)

  See Also:
    `PrintWriter.println(double)`

### println

    public static void println(char[] x)

  See Also:
    `PrintWriter.println(char[])`

### println

    public static void println(String x)

  See Also:
    `PrintWriter.println(java.lang.String)`

### println

    public static void println(Object x)

  See Also:
    `PrintWriter.println(java.lang.Object)`

### pr

    public static void pr(boolean b)

  See Also:
    `PrintWriter.print(boolean)`

### pr

    public static void pr(char c)

  See Also:
    `PrintWriter.print(char)`

### pr

    public static void pr(int i)

  See Also:
    `PrintWriter.print(int)`

### pr

    public static void pr(long l)

  See Also:
    `PrintWriter.print(long)`

### pr

    public static void pr(float f)

  See Also:
    `PrintWriter.print(float)`

### pr

    public static void pr(double d)

  See Also:
    `PrintWriter.print(double)`

### pr

    public static void pr(char[] s)

  See Also:
    `PrintWriter.print(char[])`

### pr

    public static void pr(String s)

  See Also:
    `PrintWriter.print(java.lang.String)`

### pr

    public static void pr(Object obj)

  See Also:
    `PrintWriter.print(java.lang.Object)`

### prln

    public static void prln()

  See Also:
    `PrintWriter.println()`

### prln

    public static void prln(boolean x)

  See Also:
    `PrintWriter.println(boolean)`

### prln

    public static void prln(char x)

  See Also:
    `PrintWriter.println(char)`

### prln

    public static void prln(int x)

  See Also:
    `PrintWriter.println(int)`

### prln

    public static void prln(long x)

  See Also:
    `PrintWriter.println(long)`

### prln

    public static void prln(float x)

  See Also:
    `PrintWriter.println(float)`

### prln

    public static void prln(double x)

  See Also:
    `PrintWriter.println(double)`

### prln

    public static void prln(char[] x)

  See Also:
    `PrintWriter.println(char[])`

### prln

    public static void prln(String x)

  See Also:
    `PrintWriter.println(java.lang.String)`

### prln

    public static void prln(Object x)

  See Also:
    `PrintWriter.println(java.lang.Object)`

### setPadChar

    public static void setPadChar(char aChar)

  A mutator method for padChar

### getPadChar

    public static char getPadChar()

  An accesor method for padChar

### padPr

    public static void padPr(String s,
                             int padding)

  Print padding followed by String s.